Skip to content

Historical Price Data

GET /prices-history

Base URL: https://api.openfish.fun

None required.

ParameterTypeRequiredDescription
marketstringYesCondition ID of the market
intervalstringNoTime interval (reserved for future use)
fidelityintegerNoHow many data points to return. Default: 50
startTsintegerNoBegin of the time range (UNIX timestamp)
endTsintegerNoEnd of the time range (UNIX timestamp)
{
"history": [
{ "t": 1699900000, "p": 0.45 },
{ "t": 1699950000, "p": 0.47 },
{ "t": 1700000000, "p": 0.50 }
]
}
FieldTypeDescription
historyarrayOrdered sequence of time-price data points
history[].tintegerUNIX timestamp
history[].pnumberPrice at that timestamp (4 decimal precision)
Terminal window
curl "https://api.openfish.fun/prices-history?market=0x0000...0001&fidelity=100&startTs=1699900000&endTs=1700000000"